[FIXED] "ZOWIE" monitor not compatible with Strobe Utility

Discuss BENQ Blur Reduction (strobe backlight) and the Blur Busters Strobe Utility. For Z-Series monitors (V2 firmware) on XL2411Z, XL2420Z and XL2720Z.

[FIXED] "ZOWIE" monitor not compatible with Strobe Utility

Postby pondewall » 02 Feb 2017, 14:28

Chief Blur Buster wrote:UPDATE APRIL 29th, 2017: FIXED!
New Zowie-Compatible Strobe Utility Here


Hi there,

My monitor's firmware is V002-20131209 and it says "No compatible BENQ monitors have been detected".

I'm using windows 10 x64.
My GPU is Radeon R9 270x connected with DVI-D dual link cable. (tested with two cables of same type)
Blur Busters Strobe Utility version is 1.2.0.7.
DDC/CI is turned on.
Windows driver is "ZOWIE XL LCD (Digital)" and not "Generic PnP Monitor".

Is there anything I can do to get this working?
Does this program support my monitor?
Does this program support windows 10? (I have to execute it as administrator, otherwise it crashes right away)

If you need more information, let me know.

Thanks.

Chief Blur Buster wrote:UPDATE APRIL 29th, 2017: FIXED!
New Zowie-Compatible Strobe Utility Here
pondewall
 
Posts: 3
Joined: 02 Feb 2017, 13:58

"ZOWIE" monitor not compatible with Strobe Utility

Postby Chief Blur Buster » 02 Feb 2017, 15:44

The failure is due to the "ZOWIE" in the monitor model name.

We have a new version of Strobe Utility that adapts to the "Zowie" part now -- however, I'm waiting to hear back from BENQ first because auto-detection logic is still suspect.

I am also waiting for a replacement Comodo signing certificate for Microsoft Authenticode arrives -- to sign the executable, as the current certificate has now expired.

As an alternative, you can use the service menu to access features -- a less simple way but you can do the same things as the Strobe Utility.
Head of Blur Busters - BlurBusters.com | TestUFO.com | Follow @BlurBusters on Twitter!
User avatar
Chief Blur Buster
Site Admin
 
Posts: 3175
Joined: 05 Dec 2013, 15:44

Re: "ZOWIE" monitor not compatible with Strobe Utility

Postby pondewall » 03 Feb 2017, 08:34

It's a bit hard for me because I don't speak english and I'm using a translator.
So, the monitor's driver is the problem and the new version of the program that will support this driver will be released as soon as some confirmation is done.
Can you confirm if I understood it correctly?
About the "service menu" post, sorry but I just can't understand anything.
I have the following options:

HDMI HPD: On/Off (On)
DVI HPD: On/Off (Off)
Logo: On/Off (On)
Auto Power: On/Off (On)
Internet Cafe: On/Off (Off)
Strobe duty: 020
Strobe phase: 000
Single strobe: On/Off (Off)

What should I change to make Blur Reduction brighter and clearer?
pondewall
 
Posts: 3
Joined: 02 Feb 2017, 13:58

Re: "ZOWIE" monitor not compatible with Strobe Utility

Postby redbull2k » 03 Feb 2017, 16:21

You could uninstall the driver, stop it from updating, you then can use it. Also what do you use your monitor for? if Console gaming i should be able to help. Which monitor version do you have? xl2720z?
redbull2k
 
Posts: 14
Joined: 12 Jan 2016, 10:16

Re: "ZOWIE" monitor not compatible with Strobe Utility

Postby pondewall » 04 Feb 2017, 13:19

It's for gaming. (Counter-Strike 1.6 and Global Offensive)
My monitor model is Zowie BenQ XL2720Z.
The monitor is fine, but the Strobe Utility says it can make it less blurry and less dark, so I want to try it. Unfortunatly, the driver is causing this conflict.
pondewall
 
Posts: 3
Joined: 02 Feb 2017, 13:58

Re: "ZOWIE" monitor not compatible with Strobe Utility

Postby Falkentyne » 04 Feb 2017, 15:15

pondewall wrote:Hi there,

My monitor's firmware is V002-20131209 and it says "No compatible BENQ monitors have been detected".

I'm using windows 10 x64.
My GPU is Radeon R9 270x connected with DVI-D dual link cable. (tested with two cables of same type)
Blur Busters Strobe Utility version is 1.2.0.7.
DDC/CI is turned on.
Windows driver is "ZOWIE XL LCD (Digital)" and not "Generic PnP Monitor".

Is there anything I can do to get this working?
Does this program support my monitor?
Does this program support windows 10? (I have to execute it as administrator, otherwise it crashes right away)

If you need more information, let me know.

Thanks.


This seems wrong. Current monitor firmware is V5 for XL2720Z, 2014-12-05.
How can yours be V2?

V2 is buggy. Displayport will not work without causing link failure errors.
Low blue light setting is not saved correctly in gamer presets
and single strobe being set to "off" causes improper strobe timings not shown on the service menu (Strobe duty=20, strobe phase=40) to be set when blur reduction is toggled from off to on (changing brightness or any strobe setting afterwards instantly makes the correct settings kick in).
Also AMA low does not exist; setting AMA to high after enabling blur reduction causes the AMA To become more excessive and worse than "premium".

V3 firmware fixed everything but the displayport bug.
V4 firmware (11/2014, I believe) fixed the displayport bug.
V5 (12/05/2014) fixed an unknown bug.
Falkentyne
 
Posts: 2319
Joined: 26 Mar 2014, 07:23

Re: "ZOWIE" monitor not compatible with Strobe Utility

Postby Q83Ia7ta » 04 Feb 2017, 18:51

pondewall wrote:Hi there,

My monitor's firmware is V002-20131209 and it says "No compatible BENQ monitors have been detected".

I'm using windows 10 x64.
My GPU is Radeon R9 270x connected with DVI-D dual link cable. (tested with two cables of same type)
Blur Busters Strobe Utility version is 1.2.0.7.
DDC/CI is turned on.
Windows driver is "ZOWIE XL LCD (Digital)" and not "Generic PnP Monitor".

Is there anything I can do to get this working?
Does this program support my monitor?
Does this program support windows 10? (I have to execute it as administrator, otherwise it crashes right away)

If you need more information, let me know.

Thanks.

Change display driver which doesn't contain "ZOWIE" in the name. That's the reason.
Q83Ia7ta
 
Posts: 587
Joined: 18 Dec 2013, 09:29

Re: "ZOWIE" monitor not compatible with Strobe Utility

Postby Chief Blur Buster » 04 Feb 2017, 23:18

The letter "Z" after the monitor model is also important to Blur Busters Strobe Utility automatic detection. The automatic detection logic is currently a ".*XL2???Z.*" regex, so the Z suffix is more important than the Zowe.

However, the monitor model name is missing with the Zowie -- and not all Zowie monitors supports adjustment of BENQ Blur Reduction -- so I need a new BENQ-authorized automatic detection logic.

But in the meantime, make sure it shows up as a "XL2411Z", "XL2420Z" or "XL2720Z" in Device Manager. The Zowie INF file doesn't show these model names in Device Manager, which is the problem at this time. So install a Monitor INF file that uses that strong, and then Strobe Utility will correctly detect it.
Head of Blur Busters - BlurBusters.com | TestUFO.com | Follow @BlurBusters on Twitter!
User avatar
Chief Blur Buster
Site Admin
 
Posts: 3175
Joined: 05 Dec 2013, 15:44

Re: "ZOWIE" monitor not compatible with Strobe Utility

Postby Chief Blur Buster » 04 Feb 2017, 23:22

Falkentyne wrote:This seems wrong. Current monitor firmware is V5 for XL2720Z, 2014-12-05.
How can yours be V2?

He might have purchased it used (pondewall?). There's a lot of old stock out there...

Also, the problem is that Windows 10 seems to install a newer INF driver that prevents Blur Busters Strobe Utility from working. But if you switch the monitor INF file to one that displays "XL2411Z", "XL2420Z", "XL2720Z" (or "XL2420G" for the GSYNC verison of XL2420Z) in Device Manager, then Strobe Utility will work in Administrator Mode. So regardless of version (V1 thru V5) the Strobe Utility is unable to detect it.

A fixed version of Strobe Utility is coming this year (finally!) but I'm waiting to hear back from BENQ after their Lunar New Year holidays.
Head of Blur Busters - BlurBusters.com | TestUFO.com | Follow @BlurBusters on Twitter!
User avatar
Chief Blur Buster
Site Admin
 
Posts: 3175
Joined: 05 Dec 2013, 15:44

Re: "ZOWIE" monitor not compatible with Strobe Utility

Postby Herz3h » 11 Feb 2017, 14:39

I have a zowie xl2411 with firmware V006 and same issue. When is the new version of strobe utility coming out ?
Herz3h
 
Posts: 6
Joined: 11 Feb 2017, 14:38

Next

Return to BENQ Blur Reduction & Strobe Utility

Who is online

Users browsing this forum: No registered users and 1 guest